#!/bin/bash
#MARIADB
mkdir -p /var/run/mysql /var/lib/mysql
chown mysql:mysql /var/run/mysql /var/lib/mysql
/usr/lib/mysql/rcmysql start
sleep 1
mysql -e 'GRANT ALL PRIVILEGES ON *.* TO "root"@"%" WITH GRANT OPTION;'
mysql -e 'CREATE DATABASE wordpress; GRANT ALL PRIVILEGES ON wordpress.* TO "wordpressadmin"@"localhost" IDENTIFIED BY "1714cat"; FLUSH PRIVILEGES;' mysql
mysqladmin shutdown
#APACHE
a2enmod ssl
a2enflag SSL
#PHP
cat <<EOF >/srv/www/htdocs/phpinfo.php
<?php
phpinfo();
?>
EOF
cat <<EOF >/srv/www/htdocs/index.html
<html>
<head>
</head>
<body>
<h1>It's Works</h1>
</body>
</html>
EOF
chown 30:8 -R /srv/www/htdocs/
#PROFTPD User: wwwfiles Pass: 1714cat
echo "wwwfiles:$1$RSYswh7M$pIn8SJWMYReZCw7gTXPrw1:30:8::/srv/www/htdocs:/bin/false" >>/etc/proftpd/auth/passwd
chown root:ftp /etc/proftpd/auth/passwd
chmod 440 /etc/proftpd/auth/passwd
mv /etc/proftpd/proftpd.conf /etc/proftpd/proftpd.conf.backup
mv /root/proftpd.conf /etc/proftpd/
#WORDPRESS
curl -q -s -k https://ca.wordpress.org/wordpress-4.0-ca.tar.gz -o /srv/www/htdocs/wordpress.tar.gz
cd /srv/www/htdocs/
tar zxvf wordpress.tar.gz
rm wordpress.tar.gz
chown 30:8 -R /srv/www/htdocs/
rm /init.sh
